OnlyFans API
OnlyFansFree Trial Links

List Free Trial Links

List all free trial links for the account, including the details and statistics

GET
/api/{account}/trial-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

startDate?string|null

The start date for trial links. Keep empty to get all. Must not be greater than 255 characters.

endDate?string|null

The end date for trial links. Keep empty to get all. Must not be greater than 255 characters.

limit?integer

The number of trial links to return. Default 10. Must be at least 1. Must not be greater than 100.

offset?integer

The offset used for pagination. Default 0. Must be at least 0.

sort?string

Sort direction. Default desc.

Value in"asc" | "desc"
field?string

Field to sort by. Default create_date.

Value in"create_date" | "expire_date" | "subscribe_counts" | "subscribe_days" | "claims_count"
synchronous?boolean

Wait for revenue calculation instead of processing it in the background.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/trial-links?startDate=2025-01-01+00%3A00%3A00&endDate=2025-01-31+23%3A59%3A59&limit=10&offset=0&sort=desc&field=create_date&synchronous=false"
{
  "data": {
    "list": [
      {
        "id": 123,
        "trialLinkName": "Trial link name",
        "url": "https://onlyfans.com/username/trial/abc123",
        "subscribeDays": 30,
        "subscribeCounts": 0,
        "claimCounts": 123,
        "clicksCounts": 182,
        "expiredAt": null,
        "createdAt": "2025-01-01T01:01:01+00:00",
        "isFinished": false,
        "tags": [
          "Instagram",
          "Twitter"
        ],
        "revenue": {
          "total": 123,
          "revenuePerSubscriber": 12,
          "spendersCount": 16,
          "calculatedAt": "2025-01-01T01:01:01+00:00",
          "isLoading": false
        },
        "links": {
          "related": {
            "subscribers": "https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/subscribers"
          }
        }
      }
    ],
    "hasMore": true
  },
  "_pagination": {
    "next_page": "https://app.onlyfansapi.com/api/acct_abc123/trial-links?limit=10&offset=10"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 115580,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 997,
      "remaining_day": 49990
    }
  }
}